Summary:	Specialized memcpy checker with low overhead
Name:		memstomp
Version:	0.1.4
Release:	%mkrel 5
License:	LGPL v3+ with exception
Group:		Development/Tools
Source0:	%{name}.tar.xz
URL:		http://fedorapeople.org/gitweb?p=wcohen/public_git/memstomp/
BuildRequires:	binutils-devel

%description
Memstomp checks the operation of memcpy. In particular memstomp warns
when memcpy is used to copy overlapping regions of memory (such as the
problem encountered in
https://bugzilla.redhat.com/show_bug.cgi?id=638477)

Just use it as prefix for your usual command line and it will check
memcpy used in all child processes. Note that valgrind can perform
this type of check also. Memstomp merely lowers the overhead for this
type of check.

%prep
%setup -qn %{name}
./bootstrap.sh

%build
%configure2_5x
%make

%install
%makeinstall_std

%files
%doc README
%{_bindir}/memstomp
%{_libdir}/libmemstomp-backtrace-symbols.so
%{_libdir}/libmemstomp.so



%changelog
* Fri Feb 12 2016 umeabot <umeabot> 0.1.4-5.mga6
+ Revision: 956157
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.4-4.mga5
+ Revision: 748064
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.4-3.mga5
+ Revision: 682354
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.4-2.mga4
+ Revision: 522041
- Mageia 4 Mass Rebuild

* Thu Feb 07 2013 tv <tv> 0.1.4-1.mga3
+ Revision: 395142
- imported package memstomp

